Bug 202319 - Review Request: perl-Data-Compare - Compare perl data structures
Review Request: perl-Data-Compare - Compare perl data structures
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On: 202318
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-12 14:58 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 10:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-08-12 14:58:35 EDT
Spec URL: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Data-Compare.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Data-Compare-0.13-1.src.rpm

Description:
This module compares arbitrary data structures to see if they are copies
of each other.
Comment 1 Chris Weyl 2006-08-14 22:30:29 EDT
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ source files match upstream:
874a13f201c6948e84867f82d950907a  Data-Compare-0.13.tar.gz
874a13f201c6948e84867f82d950907a  Data-Compare-0.13.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
 package builds in mock ( ).
+ rpmlint is silent.
+ final provides and requires are sane:
 == provides
 perl(Data::Compare) = 0.13
 perl(Data::Compare::Plugins::Scalar::Properties) = 1.0
 perl-Data-Compare = 0.13-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
 perl(Carp)
 perl(Data::Compare)
 perl(Exporter)
 perl(File::Find::Rule)
 perl(strict)
 perl(vars)
 perl(warnings)
+ no shared libraries are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ All tests successful.
Files=7, Tests=76,  1 wallclock secs ( 0.55 cusr +  0.20 csys =  0.75 CPU)
%check is present and all tests pass:
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-08-16 10:41:52 EDT
Thanks for the review.

Imported and built for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.